petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetForcingFunction

Provide a function that computes a forcing term for a ODE or PDE

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetForcingFunction(TS ts,TSForcingFunction f,void *ctx)

Logically Collective on TS Many br

### Input Parameters

| ts | - the TS context obtained from TSCreate() Many br
| f | - routine for evaluating the forcing function Many br
| ctx | - [optional] user-defined context for private data for the Many brfunction evaluation routine (may be NULL) Many br

### Calling sequence of func

        func (TS ts,PetscReal t,Vec u,void *ctx);

| t | - current timestep Many br
| u | - output vector Many br
| ctx | - [optional] user-defined function context Many br

### Notes

This routine is useful for testing accuracy of time integration schemes when using the Method of Manufactured Solutions to Many brcreate closed-form solutions with a non-physical forcing term. Many br

For low-dimensional problems solved in serial, such as small discrete systems, TSMonitorLGError() can be used to monitor the error history. Many br

Many br

### Keywords

TS, timestep, set, right-hand-side, function

### See Also

TSSetRHSJacobian(), TSSetIJacobian(), TSComputeSolutionFunction(), TSSetSolutionFunction()

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages